Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


//Removed by EUCookieLaw Valutazione discussione:
  • 1 voto(i) - 5 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] crash ubuntu software center e aggiornamenti
#1
ciao a tutti, ho un bel problemino... Big Grin
ho un acer aspire 5500 con ubuntu 12.04 che avevo "dimenticato" nel cassetto e qualche giorno fa ho deciso di rispolverarlo..
lo accendo , lo faccio connettere al router (che nel frattempo ho sostituito) e riesco ad andare in internet e fin qui tutto bene... Tongue
quando provo a fare gli aggiornamenti o scaricare qualche programma (volevo installare un torrent) mi escono vari errori: il demone è andato in crash, pacchetti non autenticati, aggiornamento chache bloccato, applicazione delle modifiche bloccato, Scaricamento delle informazioni del repository non riuscito.
poi di si disconnette dalla rete e continua a chiedermi la password di rete. Ho provato più volte e anche con il cavo di rete collegato mi crasha sempre..
cosa può essere???
helpRolleyesRolleyesRolleyes

grazie
andrea
Cita messaggio
#2
ciao, prova dal terminale:
sudo rm /var/lib/apt/lists/* -vf
al termine:
sudo apt-get update
se ti segnala qualche errore, postalo. se tutto va bene prosegui:
sudo apt-get dist-upgrade
stesso discorso per eventuali segnalazioni di errori.
Cita messaggio
#3
Prova ad aprire il Terminale e dai, uno alla volta, i due comandi:

sudo apt-get update

sudo apt-get upgrade

Sposto nella sezione:

Ubuntu e derivate, Debian e derivate
Cita messaggio
#4
ciao, grazie per la velocità delle risposte..
ho provato a dare i comandi nel terminale, mi da errore con l'update.
ecco cosa mi dice:

andrea@andrea-Aspire-5500:~$ sudo rm /var/lib/apt/lists/* -vf
"/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_precise_partner_binary-i386_Packages" rimosso
"/var/lib/apt/lists

... omissis ...

Scaricamento di:64 http://it.archive.ubuntu.com precise-updates/restricted Translation-en [2637 B]
Recuperati 20,9 MB in 45s (463 kB/s)
W: Impossibile recuperare bzip2:/var/lib/apt/lists/partial/it.archive.ubuntu.com_ubuntu_dists_precise-updates_main_source_Sources Somma hash non corrispondente

W: Impossibile recuperare bzip2:/var/lib/apt/lists/partial/it.archive.ubuntu.com_ubuntu_dists_precise-updates_universe_source_Sources Somma hash non corrispondente

W: Impossibile recuperare bzip2:/var/lib/apt/lists/partial/it.archive.ubuntu.com_ubuntu_dists_precise-updates_main_binary-i386_Packages Somma hash non corrispondente

W: Impossibile recuperare http://it.archive.ubuntu.com/ubuntu/dist...i18n/Index Nessuna voce Hash nel file Release /var/lib/apt/lists/partial/it.archive.ubuntu.com_ubuntu_dists_precise-updates_universe_i18n_Index

E: Impossibile scaricare alcuni file di indice: saranno ignorati o verranno usati quelli vecchi.

Huh

devo provare comunque con l'upgrade?

grazie
andrea
Cita messaggio
#5
imposta da sorgenti software "server principale" e ripeti i comandi. a me lo apre il colegamento.
Cita messaggio
#6
ho impostato server principale e lanciato sudo apt-get update e sembra aver fatto:

andrea@andrea-Aspire-5500:~$ sudo apt-get update
Trovato http://dl.google.com stable Release.gpg

... omissis ...

Trovato http://archive.ubuntu.com precise-security/universe Translation-en
Lettura elenco dei pacchetti... Fatto
W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ precise/partner i386 Packages (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_precise_partner_binary-i386_Packages)
W: È consigliato eseguire "apt-get update" per correggere questi problemi

ma lanciando sudo apt-get dist-update:

andrea@andrea-Aspire-5500:~$ sudo apt-get dist-upgrade
[sudo] password for andrea:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Eseguito
I seguenti pacchetti NUOVI saranno installati:
linux-headers-3.2.0-55 linux-headers-3.2.0-55-generic-pae
linux-image-3.2.0-55-generic-pae
I seguenti pacchetti saranno aggiornati:
apport apport-gtk dpkg gnome-control-center gnome-control-center-data
gnome-settings-daemon google-chrome-stable libc-bin libc-dev-bin libc6

... omissis ...

Impossibile recuperare http://archive.ubuntu.com/ubuntu/pool/ma...2_i386.deb Somma hash non corrispondente
Impossibile recuperare http://archive.ubuntu.com/ubuntu/pool/ma...5_i386.deb Somma hash non corrispondente
Impossibile recuperare http://archive.ubuntu.com/ubuntu/pool/ma...5_i386.deb Somma hash non corrispondente
E: Impossibile scaricare alcuni pacchetti. Potrebbe essere utile eseguire "apt-get update" o provare l'opzione "--fix-missing".


allora ho provato anche con sudo apt-get upgrade:

andrea@andrea-Aspire-5500:~$ sudo apt-get upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati mantenuti alla versione attuale:
linux-generic-pae linux-headers-generic-pae linux-image-generic-pae
I seguenti pacchetti saranno aggiornati:
apport apport-gtk dpkg gnome-control-center gnome-control-center-data
gnome-settings-daemon google-chrome-stable libc-bin libc-dev-bin libc6
libc6-dev libdrm-intel1 libdrm-nouveau1a libdrm-radeon1 libdrm2 libglib2.0-0
libglib2.0-bin libglib2.0-data libgnome-control-center1 libicu48
liblockfile-bin liblockfile1 libwildmidi-config libwildmidi1 linux-firmware
linux-libc-dev multiarch-support procps python-apport python-problem-report
python-software-properties software-properties-common
software-properties-gtk xserver-common xserver-xorg-core
35 aggiornati, 0 installati, 0 da rimuovere e 3 non aggiornati.
È necessario scaricare 6921 kB/92,7 MB di archivi.
Dopo quest'operazione, verranno occupati 144 kB di spazio su disco.
Continuare [S/n]? s
Scaricamento di:1 http://archive.ubuntu.com/ubuntu/ precise-updates/main dpkg i386 1.16.1.2ubuntu7.2 [1815 kB]
Scaricamento di:2 http://archive.ubuntu.com/ubuntu/ precise-updates/main libc6-dev i386 2.15-0ubuntu10.5 [5107 kB]
Recuperati 6921 kB in 31s (218 kB/s)
Impossibile recuperare http://archive.ubuntu.com/ubuntu/pool/ma...2_i386.deb Somma hash non corrispondente
E: Impossibile scaricare alcuni pacchetti. Potrebbe essere utile eseguire "apt-get update" o provare l'opzione "--fix-missing".

help!!!
grazie
Cita messaggio
#7
sudo dpkg --force-all --configure -a
Qual' ora le operazioni precedenti avvessero lasciato apt in sospeso con pacchetti non risolti , ne forza la soluzione e ripristina il corretto funzionamento di apt . Se va a termine immediato senza restituire nessun avviso di errore , le operazioni precedenti non hanno ovviamente creato problemi apt , per cui è solo misura precauzionale per non perdere tempo inutilmente

sudo apt-get -f clean
sudo apt-get update
sudo apt-get -f dist-upgrade
un semplice upgrade quando ci sono di mezzo pacchetti e librerie di sistema , riesce ad entrare nella norma che sia insufficente
Cita messaggio
#8
ottimo!! risolto con le indicazioni di francofait...
sono riuscito ad aggiornare alla 13.04 e a scaricare da ubuntu software center!!! TongueTongue

grazie siete grandi!!!
andrea
Cita messaggio


Vai al forum: